
import { Component, dragonBones, instantiate, Node, Prefab, Rect, Vec3, view, _decorator } from 'cc';
import { SpineAnimation } from './SpineAnimation';
const { ccclass, property } = _decorator;

@ccclass('Main')
export class Main extends Component {
    // [1]
    // dummy = '';

    // [2]
    // @property
    // serializableDummy = 0;
    
    start () {
        this.__testSpine();
    }
    
    private __testSpine():void{
        let rect:Rect=view.getViewportRect();
        let animation:SpineAnimation;
        for (let index = 0; index < 200; index++) {
            animation=new SpineAnimation("animation"+index);
            animation.node.setPosition(Math.random()*rect.width,Math.random()*rect.height,0);
            animation.node.setScale(new Vec3(0.2,0.2,0.2))
            this.node.addChild(animation.node);
            animation.url={url:"spineboy/spineboy",bundle:"res"};
        }
    }
    // update (deltaTime: number) {
    //     // [4]
    // }
}

/**
 * [1] Class member could be defined like this.
 * [2] Use `property` decorator if your want the member to be serializable.
 * [3] Your initialization goes here.
 * [4] Your update function goes here.
 *
 * Learn more about scripting: https://docs.cocos.com/creator/3.0/manual/en/scripting/
 * Learn more about CCClass: https://docs.cocos.com/creator/3.0/manual/en/scripting/ccclass.html
 * Learn more about life-cycle callbacks: https://docs.cocos.com/creator/3.0/manual/en/scripting/life-cycle-callbacks.html
 */
